classification
Title: test.libregrtest not installed
Type: Stage: resolved
Components: Tests Versions: Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: vstinner Nosy List: Arfrever, python-dev, r.david.murray, steve.dower, vstinner
Priority: release blocker Keywords:

Created on 2015-11-22 08:49 by Arfrever, last changed 2016-01-16 22:36 by steve.dower. This issue is now closed.

Messages (9)
msg255087 - (view) Author: Arfrever Frehtes Taifersar Arahesis (Arfrever) * (Python triager) Date: 2015-11-22 08:49
test.libregrtest is not installed, which breaks running of test suite from installed Python.
Probably LIBSUBDIRS in Makefile.pre.in should be updated.

$ python3.5 -m test test_int
[1/1] test_int
1 test OK.
$ python3.6 -m test test_int
Traceback (most recent call last):
  File "/usr/lib64/python3.6/runpy.py", line 170, in _run_module_as_main
    "__main__", mod_spec)
  File "/usr/lib64/python3.6/runpy.py", line 85, in _run_code
    exec(code, run_globals)
  File "/usr/lib64/python3.6/test/__main__.py", line 1, in <module>
    from test import regrtest
  File "/usr/lib64/python3.6/test/regrtest.py", line 14, in <module>
    from test.libregrtest import main, main_in_temp_cwd
ImportError: No module named 'test.libregrtest'
msg255104 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-11-22 14:45
New changeset 1f563b259f09 by Victor Stinner in branch 'default':
Issue #25694: Install test.libregrtest to be able to run tests on the installed
https://hg.python.org/cpython/rev/1f563b259f09

New changeset fea86d0049d2 by Victor Stinner in branch 'default':
Issue #25694: Fix test_regrtest for installed Python
https://hg.python.org/cpython/rev/fea86d0049d2
msg255105 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-11-22 14:46
Hum, not only libregrtest was not installable, but test_regrtest didn't work on installed Python.

Can you please retry?

It would be nice to modify test_regrtest to *not* write into the test package, but I failed to find a way to load tests from a different directory :-/
msg255185 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-11-23 16:29
It used to be there were also changes that needed to be made to the windows build files when a new directory was added.  Nosying Steve in case this is still true, assuming there is an option to install the tests (which there might not be, I have no idea not being a Windows user).
msg255196 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2015-11-23 17:09
R. David Murray added the comment:
> It used to be there were also changes that needed to be made to the windows build files when a new directory was added.  Nosying Steve in case this is still true, assuming there is an option to install the tests (which there might not be, I have no idea not being a Windows user).

I failed to find other test subdirectories in PCbuild/ :-/ I don't
think that tests are installed or installable on Windows.
msg255197 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2015-11-23 17:10
Thanks. For 3.5 and later we automatically grab Lib/**/* (except *.py[co]), with Lib/test/**/* split out into a separate install option.

I disliked the manual updating as much as everyone else did :)
msg255201 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-11-23 17:21
Thanks for doing that, Steve.  It would be lovely to fix the unix make too, but I'm sure there's a reason why it is currently done the way it is done and I don't feel like figuring out why so as to try to make things better :)
msg258426 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2016-01-16 21:59
@Victor - is there anything else to be done for this issue or can we close it?
msg258431 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2016-01-16 22:07
Please close the issue.
History
Date User Action Args
2016-01-16 22:36:04steve.dowersetstatus: open -> closed
resolution: fixed
stage: resolved
2016-01-16 22:07:59vstinnersetmessages: + msg258431
2016-01-16 21:59:24steve.dowersetmessages: + msg258426
2015-11-23 17:21:40r.david.murraysetmessages: + msg255201
2015-11-23 17:10:15steve.dowersetmessages: + msg255197
2015-11-23 17:09:26vstinnersetmessages: + msg255196
2015-11-23 16:29:34r.david.murraysetnosy: + steve.dower, r.david.murray
messages: + msg255185
2015-11-22 14:46:14vstinnersetmessages: + msg255105
2015-11-22 14:45:16python-devsetnosy: + python-dev
messages: + msg255104
2015-11-22 11:36:05serhiy.storchakasetpriority: normal -> release blocker
2015-11-22 08:49:08Arfrevercreate